Skip to main content
GET
/
v1
/
decision-categories
List decision categories
curl --request GET \
  --url https://staging.api.us.aptlydone.com/settings/v1/decision-categories \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:20.892Z",
  "message": "Success",
  "data": {
    "page": 1,
    "limit": 10,
    "total": 100,
    "data": [
      {
        "id": "de65c726-e7c2-4414-a663-73481cce67bd",
        "tenantId": "6fe602ae-4f92-41e4-83f4-1f187cb6307e",
        "categoryName": "Finance",
        "isDeleted": false,
        "section": {
          "id": "895f39c5-0896-48a5-bc8d-b8884b15eb42",
          "tenantId": "a647dc83-a274-40ba-aea1-e3117bda5137",
          "sectionName": "Finance Department",
          "isDeleted": false
        },
        "createdAt": "2024-01-15T12:00:00Z",
        "sectionId": "e0ad86e3-662d-4423-8d04-fff24464c1a8"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"0fe3c901-80e6-4f7a-82fa-72acae0423ec"

sectionIds
string

Section IDs (comma separated)

Example:

"27571887-c866-4f36-91c7-d627c5bac976, 3aeb645a-633b-4173-907d-e9d0c476cff4"

categoryIds
string

Category IDs (comma separated)

Example:

"bfe270d7-0e03-4514-9b8f-28e5aa6b454c, d9baf89c-6253-405e-8eb6-d96d0ca441c7"

Search

Example:

"Finance"

sortBy
string

Field to sort by

Example:

"id"

sortOrder
enum<string>
default:asc

Sort order (asc/desc)

Available options:
asc,
desc
Example:

"asc"

Response

200 - application/json

Decision categories list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:20.892Z"

message
string
required
Example:

"Success"

data
object